# Interface SySizedType<T extends SySpaceType>

Type Parameters:
  `T` - The coordinate space

All Superinterfaces:
  `SySizedReadableType<T>`

All Known Subinterfaces:
  `SyBoundedType<T>, SyButtonType, SyButtonWithTextType, SyCheckboxType, SyComponentType, SyContainerType, SyGridViewType, SyImageViewType, SyListViewType, SyMenuBarItemType, SyMenuBarType, SyMenuItemAtomType, SyMenuItemSeparatorType, SyMenuItemSubmenuType, SyMenuItemType, SyMenuType, SyScreenType, SyScrollBarHorizontalType, SyScrollBarType, SyScrollBarVerticalType, SyScrollPaneType, SyTextAreaType, SyTextFieldType, SyTextMultiLineViewType, SyTextViewType`

public interface SySizedType<T extends SySpaceType> extends SySizedReadableType<T>
Writable access to information about objects that have sizes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `setSize(com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T> newSize)`
  Set the size of the object.
  `default void`
  `setSizeUpperLimit(com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T> newSize)`
  Set the desired upper limit on the size of the object.
  `com.io7m.jattribute.core.AttributeType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>>`
  `size()`
  `com.io7m.jattribute.core.AttributeType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>>`
  `sizeUpperLimit()`

- ## Method Details

  - ### sizeUpperLimit

    com.io7m.jattribute.core.AttributeType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>> sizeUpperLimit()
    Specified by:
      `sizeUpperLimit` in interface `SySizedReadableType<T extends SySpaceType>`
    Returns:
      The desired upper limit on the maximum size of the object

  - ### size

    com.io7m.jattribute.core.AttributeType<com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T>> size()
    Specified by:
      `size` in interface `SySizedReadableType<T extends SySpaceType>`
    Returns:
      The object's size

  - ### setSize

    default void setSize(com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T> newSize)
    Set the size of the object.
    Parameters:
      `newSize` - The new size

  - ### setSizeUpperLimit

    default void setSizeUpperLimit(com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<T> newSize)
    Set the desired upper limit on the size of the object.
    Parameters:
      `newSize` - The new size